Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.expression
Class FullTextSearchFactory

    java.lang.Object
      com.bea.content.expression.FullTextSearchFactory

    public class FullTextSearchFactory

extends Object

Factory class to build full text search

Method Summary
`static IFullTextSearch` | `buildFullTextSearch(IMetadataQueryParameter mQuery, ITextQueryParameter tQuery, boolean isOr)` This factory method builds the full text search.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### buildFullTextSearch

    public static IFullTextSearch buildFullTextSearch(IMetadataQueryParameter mQuery,
                                                      ITextQueryParameter tQuery,
                                                      boolean isOr)

  This factory method builds the full text search. Both mQuery and tQuery can be set, but if either is null, the other must be set.

  Parameters
    `mQuery` - metadata query parameter. Can be null if tQuery is set.
    `tQuery` - text query parameter. Can be null if mQuery is set.
    `isOr` - AND or OR metadata query and text query. If True, search results were contained in either metadata or text data or both. If false, search results were contained in both metadata and text data.
  Returns
    The IFullTextSearch object represented by the given parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.